Foreman - Feature #1966

Improve Ul errors when smart proxy returns 400 bad request

11/22/2012 05:03 AM - Dominic Cleal

Status: Closed

Priority: Normal

Assignee: Lukas Zapletal

Category: Orchestration

Target version: 1.5.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

The smart proxy can return 400 bad request HTTP responses for a large number of configuration problems, which are all logged in
the smart proxy's proxy.log file. The Foreman Ul though only reports the 400 bad request error, but doesn't indicate that this

originated from a call to a smart proxy, or which proxy it was.

The Ul should be improved to indicate the origin of the HTTP error and preferably a hint to look in the proxy's log files. If possible
(and if it doesn't expose confidential data) then the proxy could return a more meaningful error in the body of the HTTP error to be

displayed.

Related issues:

Related to Foreman - Feature #4772: Display better error messages for DHCP er...
Related to Foreman - Feature #7916: Foreman WebUI should give clearer error m...

Related to Foreman - Feature #11154: Print error message from Smart-Proxy in ...

Feedback 03/21/2014
New 10/13/2014
New 07/20/2015

Associated revisions

Revision c83e29ac - 04/01/2014 11:33 AM - Lukas Zapletal

fixes #1966 - improved Ul errors for proxy

History

#1 - 12/02/2013 07:52 AM - Lukas Zapletal

- Description updated

- Status changed from New to Assigned

- Assignee set to Lukas Zapletal

- Target version set to 1.10.0

- translation missing: en.field_release set to 2

- Difficulty set to easy

Oh, | have a fix already locally, forgot to push it! Lemme just teardown that patch.

#2 - 12/02/2013 03:14 PM - Lukas Zapletal
- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1069

#3 - 12/04/2013 01:11 PM - Dominic Cleal

- Target version changed from 1.10.0 to 1.9.3

#4 - 01/09/2014 02:10 PM - Anonymous

- Target version changed from 1.9.3 to 1.9.2
https://github.com/theforeman/foreman/pull/1069

#5 - 01/29/2014 02:53 PM - Dominic Cleal

- translation missing: en.field_release deleted (2)

#6 - 02/06/2014 12:12 PM - Anonymous

- Target version changed from 1.9.2 to 1.9.1

#7 - 03/03/2014 12:48 PM - Anonymous

- Target version changed from 1.9.1 to 1.9.0

#8 - 03/21/2014 03:31 PM - Dominic Cleal
- Related to Feature #4772: Display better error messages for DHCP errors added

#9 - 03/26/2014 12:58 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#10 - 04/01/2014 11:34 AM - Dominic Cleal
- translation missing: en.field_release set to 4

- Difficulty deleted (easy)

#11 - 04/01/2014 12:31 PM - Lukas Zapletal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset c83e29ac80ecc742f25b750bf40271fcd7db48ac.

#12 - 10/13/2014 08:39 AM - Dominic Cleal

- Related to Feature #7916: Foreman WebUI should give clearer error message when foreman-proxy cannot be contacted added

#13 - 07/20/2015 08:55 AM - Dominic Cleal

- Related to Feature #11154: Print error message from Smart-Proxy in addition to the error code added
